Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xpath.compiler
Class PsuedoNames

    java.lang.Object
      |
      +--weblogic.apache.xpath.compiler.PsuedoNames

public class PsuedoNames
extends java.lang.Object

This is used to represent names of nodes that may not be named, like a comment node.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`static java.lang.String` | `PSEUDONAME_ANY` Psuedo name for a wild card pattern ('*').
`static java.lang.String` | `PSEUDONAME_COMMENT` Psuedo name for a comment node.
`static java.lang.String` | `PSEUDONAME_OTHER` Psuedo name for an unknown type value.
`static java.lang.String` | `PSEUDONAME_PI` Psuedo name for a processing instruction node.
`static java.lang.String` | `PSEUDONAME_ROOT` Psuedo name for the root node.
`static java.lang.String` | `PSEUDONAME_TEXT` Psuedo name for a text node.

Constructor Summary
`PsuedoNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PSEUDONAME_ANY

    public static final java.lang.String PSEUDONAME_ANY

  Psuedo name for a wild card pattern ('*').

### PSEUDONAME_ROOT

    public static final java.lang.String PSEUDONAME_ROOT

  Psuedo name for the root node.

### PSEUDONAME_TEXT

    public static final java.lang.String PSEUDONAME_TEXT

  Psuedo name for a text node.

### PSEUDONAME_COMMENT

    public static final java.lang.String PSEUDONAME_COMMENT

  Psuedo name for a comment node.

### PSEUDONAME_PI

    public static final java.lang.String PSEUDONAME_PI

  Psuedo name for a processing instruction node.

### PSEUDONAME_OTHER

    public static final java.lang.String PSEUDONAME_OTHER

  Psuedo name for an unknown type value.

Constructor Detail

### PsuedoNames

    public PsuedoNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference